/* ---------------------------------------------------------- */
/* @(#) KRV.SQL V100                */
/* ---------------------------------------------------------- */
/* Product Provided Situations and Templates for              */
/* Advanced Backup and Recovery Monitoring Agent  */
/*                                                            */
/* Licensed Materials - Property of IBM                       */
/* Copyright IBM Corp. 2005 All Rights Reserved               */
/* US Government Users Restricted Rights - Use, duplication or*/
/* disclosure restricted by GSA ADP Schedule Contract with    */
/* IBM Corp.                                                  */
/*                                                            */
/* Warning: this file contains ascii binary data that cannot  */
/*          be ftp'ed as TEXT between ascii and ebcdic hosts. */
/* ---------------------------------------------------------- */


/* ---------------------------------------------------------- */
/* General section.  Applies to all products                  */
/* ---------------------------------------------------------- */

/* Tasks */

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRV_App_Events_Backup_NE_0";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRV_App_Events_Backup_NE_0";

$PARMS 
( 
'ADVICE("krv:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"%IBM.KRV                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1080806000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRV_APPLICATION_BACKUP_EVENTS.BKUPRC *NE 0 ) ",
"E",
"0",
"000100",
"*NONE",
"KRV_App_Events_Backup_NE_0",
"Krv:KRV1000",
" NNN",
"ATOM=KRVBKUPALL.EVENT;SEV=Warning",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*IBM_KRV" ,
  "KRV_App_Events_Backup_NE_0" ,
  "Y" ,
  "1080806000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRV_App_Events_Util_NE_0";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRV_App_Events_Util_NE_0";

$PARMS 
( 
'ADVICE("krv:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"%IBM.KRV                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1080806000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRV_APPLICATION_BACKUP_EVENTS.UTILRC *NE 0) ",
"E",
"0",
"000100",
"*NONE",
"KRV_App_Events_Util_NE_0",
"Krv:KRV1001",
" NNN",
"ATOM=KRVBKUPALL.EVENT;SEV=Warning",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*IBM_KRV" ,
  "KRV_App_Events_Util_NE_0" ,
  "Y" ,
  "1080806000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRV_Full_Vol_Dump_Bkup_NE_0";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRV_Full_Vol_Dump_Bkup_NE_0";

$PARMS 
( 
'ADVICE("krv:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"%IBM.KRV                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1080806000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRV_FULL_VOLUME_DUMP_EVENTS.BKUPRC *NE 0 ) ",
"E",
"0",
"000100",
"*NONE",
"KRV_Full_Vol_Dump_Bkup_NE_0",
"Krv:KRV1000",
" NNN",
"ATOM=KRVVOLDMPA.EVENT;SEV=Warning",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*IBM_KRV" ,
  "KRV_Full_Vol_Dump_Bkup_NE_0" ,
  "Y" ,
  "1080806000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRV_Full_Vol_Dump_Util_NE_0";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRV_Full_Vol_Dump_Util_NE_0";

$PARMS 
( 
'ADVICE("krv:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"%IBM.KRV                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1080806000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRV_FULL_VOLUME_DUMP_EVENTS.UTILRC *NE 0 ) ",
"E",
"0",
"000100",
"*NONE",
"KRV_Full_Vol_Dump_Util_NE_0",
"Krv:KRV1001",
" NNN",
"ATOM=KRVVOLDMPA.EVENT;SEV=Warning",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*IBM_KRV" ,
  "KRV_Full_Vol_Dump_Util_NE_0" ,
  "Y" ,
  "1080806000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRV_CBTI_App_Events_Bkup_NE_0";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRV_CBTI_App_Events_Bkup_NE_0";

$PARMS 
( 
'ADVICE("krv:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"%IBM.KRV                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1080806000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRV_CBTI_APPLICATION_BACKUP_EVENTS.ABRRC *NE 0 ) ",
"E",
"0",
"000100",
"*NONE",
"KRV_CBTI_App_Events_Bkup_NE_0",
"Krv:KRV1000",
" NNN",
"ATOM=KRVCBTIJOB.JOBNAME;SEV=Warning",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*IBM_KRV" ,
  "KRV_CBTI_App_Events_Bkup_NE_0" ,
  "Y" ,
  "1080806000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRV_CBTI_App_Events_Util_NE_0";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRV_CBTI_App_Events_Util_NE_0";

$PARMS 
( 
'ADVICE("krv:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"%IBM.KRV                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1080806000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRV_CBTI_APPLICATION_BACKUP_EVENTS.UTILRC *NE 0 ) ",
"E",
"0",
"000100",
"*NONE",
"KRV_CBTI_App_Events_Util_NE_0",
"Krv:KRV1001",
" NNN",
"ATOM=KRVCBTIJOB.JOBNAME;SEV=Warning",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*IBM_KRV" ,
  "KRV_CBTI_App_Events_Util_NE_0" ,
  "Y" ,
  "1080806000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRV_ABM_CBTI_Events_Bkup_NE_0";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRV_ABM_CBTI_Events_Bkup_NE_0";

$PARMS 
( 
'ADVICE("krv:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"%IBM.KRV                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1080806000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRV_HISTORY_OF_ABM_AND_CBTI_EVENTS.ABRRC *NE 0 ) ",
"E",
"0",
"000100",
"*NONE",
"KRV_ABM_CBTI_Events_Bkup_NE_0",
"Krv:KRV1000",
" NNN",
"ATOM=KRVHISABMC.JOBNAME;SEV=Warning",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*IBM_KRV" ,
  "KRV_ABM_CBTI_Events_Bkup_NE_0" ,
  "Y" ,
  "1080806000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRV_ABM_CBTI_Events_Util_NE_0";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRV_ABM_CBTI_Events_Util_NE_0";

$PARMS 
( 
'ADVICE("krv:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"%IBM.KRV                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1080806000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRV_HISTORY_OF_ABM_AND_CBTI_EVENTS.UTILRC *NE 0 ) ",
"E",
"0",
"000100",
"*NONE",
"KRV_ABM_CBTI_Events_Util_NE_0",
"Krv:KRV1001",
" NNN",
"ATOM=KRVHISABMC.JOBNAME;SEV=Warning",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*IBM_KRV" ,
  "KRV_ABM_CBTI_Events_Util_NE_0" ,
  "Y" ,
  "1080806000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRV_ABM_Events_Bkup_NE_0";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRV_ABM_Events_Bkup_NE_0";

$PARMS 
( 
'ADVICE("krv:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"%IBM.KRV                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1080806000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRV_HISTORY_OF_ABM_EVENTS.ABRRC *NE 0 ) ",
"E",
"0",
"000100",
"*NONE",
"KRV_ABM_Events_Bkup_NE_0",
"Krv:KRV1000",
" NNN",
"ATOM=KRVHISABME.JOBNAME;SEV=Warning",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*IBM_KRV" ,
  "KRV_ABM_Events_Bkup_NE_0" ,
  "Y" ,
  "1080806000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRV_ABM_Events_Util_NE_0";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRV_ABM_Events_Util_NE_0";

$PARMS 
( 
'ADVICE("krv:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"%IBM.KRV                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1080806000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRV_HISTORY_OF_ABM_EVENTS.UTILRC *NE 0 ) ",
"E",
"0",
"000100",
"*NONE",
"KRV_ABM_Events_Util_NE_0",
"Krv:KRV1001",
" NNN",
"ATOM=KRVHISABME.JOBNAME;SEV=Warning",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*IBM_KRV" ,
  "KRV_ABM_Events_Util_NE_0" ,
  "Y" ,
  "1080806000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRV_CBTI_Events_Bkup_NE_0";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRV_CBTI_Events_Bkup_NE_0";

$PARMS 
( 
'ADVICE("krv:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"%IBM.KRV                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1080806000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRV_HISTORY_OF_CBTI_EVENTS.ABRRC *NE 0 ) ",
"E",
"0",
"000100",
"*NONE",
"KRV_CBTI_Events_Bkup_NE_0",
"Krv:KRV1000",
" NNN",
"ATOM=KRVHISCBTI.JOBNAME;SEV=Warning",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*IBM_KRV" ,
  "KRV_CBTI_Events_Bkup_NE_0" ,
  "Y" ,
  "1080806000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRV_CBTI_Events_Util_NE_0";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRV_CBTI_Events_Util_NE_0";

$PARMS 
( 
'ADVICE("krv:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"%IBM.KRV                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1080806000000000",
"V100",
"CCC_V100",
"",
"*IF ( *VALUE KRV_HISTORY_OF_CBTI_EVENTS.UTILRC *NE 0 ) ",
"E",
"0",
"000100",
"*NONE",
"KRV_CBTI_Events_Util_NE_0",
"Krv:KRV1001",
" NNN",
"ATOM=KRVHISCBTI.JOBNAME;SEV=Warning",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*IBM_KRV" ,
  "KRV_CBTI_Events_Util_NE_0" ,
  "Y" ,
  "1080806000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
